%def_disable test

Name: jakarta-commons-net
Version: 1.3.0
Release: alt0.M24.1

Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Summary: Jakarta Commons Net Package
Group: Development/Java
License: Apache
Url: http://jakarta.apache.org/commons/net/

Source: commons-net-%version-src.tar.bz2
Patch0: %name-1.3.0-notest.patch

BuildArch: noarch

BuildPreReq: /proc
BuildPreReq: rpm-build-java java-common >= 1.2
BuildPreReq: ant j2se1.4-sun-devel
BuildPreReq: jakarta-oro

%if_enabled test
BuildPreReq: junit >= 3.8.1
BuildPreReq: ant-junit
%endif

Requires: j2se >= 1.4.2 java-common >= 1.2 jakarta-oro

%description
This is an Internet protocol suite Java library originally developed by
ORO, Inc.  This version supports Finger, Whois, TFTP, Telnet, POP3, FTP,
NNTP, SMTP, and some miscellaneous protocols like Time and Echo as well
as BSD R command support. The purpose of the library is to provide
fundamental protocol access, not higher-level abstractions.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc-generated API documentation for %name.

%prep
%setup -q -n commons-net-%version-src

%if_disabled test
%patch0 -p1
%endif

# sigh
#find . -type f -print0 | xargs -r0 chmod 644

%build
%set_classpath %_javadir/jakarta-oro.jar

%if_enabled test
%add_classpath %_javadir/junit.jar
%endif

%ant_build -Dnoget=true -Dfinal.name=%name dist

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m 644 dist/*.jar %buildroot%_javadir

%__mv dist/docs/api %buildroot%_javadocdir/%name
%__mv *.txt %buildroot%_docdir/%name-%version

%files
%_docdir/%name-%version
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Tue Apr 19 2005 Alexey Borovskoy <alb@altlinux.ru> 1.3.0-alt0.M24.1
- Backport to Master 2.4

* Thu Dec 16 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.0-alt1
- New upstream release
- Use rpm-build-java macros
- Updated Patch0

* Sat Jun 26 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.2-alt1
- New upstream release

* Mon Jun 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.1-alt1
- New upstream release

* Tue May 04 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.0-alt1
- New upstream release

* Sun Feb 29 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.0-alt1
- Adapted for Sisyphus from the JPackage project
